Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5117)
@@ -32,6 +32,6 @@
   USE lmdz_lscp_ini, ONLY: cld_tau_lsc, cld_tau_con, cld_lc_lsc, cld_lc_con
   USE lmdz_lscp_ini, ONLY: reevap_ice, iflag_bergeron, iflag_fisrtilp_qsat, iflag_pdf 
-      use phys_output_var_mod, ONLY: cloudth_sth,cloudth_senv
-      use phys_output_var_mod, ONLY: cloudth_sigmath,cloudth_sigmaenv
+      USE phys_output_var_mod, ONLY: cloudth_sth,cloudth_senv
+      USE phys_output_var_mod, ONLY: cloudth_sigmath,cloudth_sigmaenv
 
 
@@ -56,8 +56,8 @@
 #endif
 #ifdef ISOTRAC
-    use isotrac_mod, ONLY: option_traceurs,option_tmin,seuil_tag_tmin_ls, &
+    USE isotrac_mod, ONLY: option_traceurs,option_tmin,seuil_tag_tmin_ls, &
 &       izone_poubelle, option_cond,izone_cond,index_iso, index_zone,izone_oce,izone_ddft
-    use isotrac_routines_mod, ONLY: iso_recolorise_condensation
-    use isotopes_routines_mod, ONLY: condiso_liq_ice_vectall_trac
+    USE isotrac_routines_mod, ONLY: iso_recolorise_condensation
+    USE isotopes_routines_mod, ONLY: condiso_liq_ice_vectall_trac
 #ifdef ISOVERIF
   USE isotopes_verif_mod, ONLY: iso_verif_traceur_nostop,iso_verif_traceur
@@ -131,15 +131,15 @@
 
 #ifdef ISO
-      real double_to_real
+      REAL double_to_real
       double precision real_to_double
       !integer niso
-      real xt(ntraciso,klon,klev)
-      real d_xt(ntraciso,klon,klev)
-      real d_xtl(ntraciso,klon,klev)
-      real d_xti(ntraciso,klon,klev)
-      real xtrain(ntraciso,klon)
-      real xtsnow(ntraciso,klon)
-      real pxtrainfl(ntraciso,klon,klev+1)
-      real pxtsnowfl(ntraciso,klon,klev+1)      
+      REAL xt(ntraciso,klon,klev)
+      REAL d_xt(ntraciso,klon,klev)
+      REAL d_xtl(ntraciso,klon,klev)
+      REAL d_xti(ntraciso,klon,klev)
+      REAL xtrain(ntraciso,klon)
+      REAL xtsnow(ntraciso,klon)
+      REAL pxtrainfl(ntraciso,klon,klev+1)
+      REAL pxtsnowfl(ntraciso,klon,klev+1)
       ! xt <-> q
       ! xtrain et xtsonw <-> rain et snow
@@ -192,5 +192,5 @@
 
   REAL qsl, qsi
-  real zct      ,zcl
+  REAL zct      ,zcl
   INTEGER ncoreczq  
   REAL ctot(klon,klev)
@@ -200,13 +200,13 @@
   REAL Tbef(klon),qlbef(klon),DT(klon),num,denom
 
-  logical lognormale(klon)
-  logical ice_thermo
+  LOGICAL lognormale(klon)
+  LOGICAL ice_thermo
   LOGICAL convergence(klon)
   INTEGER n_i(klon), iter
   REAL cste
 
-  real zpdf_sig(klon),zpdf_k(klon),zpdf_delta(klon)
-  real Zpdf_a(klon),zpdf_b(klon),zpdf_e1(klon),zpdf_e2(klon)
-  real erf   
+  REAL zpdf_sig(klon),zpdf_k(klon),zpdf_delta(klon)
+  REAL Zpdf_a(klon),zpdf_b(klon),zpdf_e1(klon),zpdf_e2(klon)
+  REAL erf
   REAL qcloud(klon)
  
@@ -234,15 +234,15 @@
 
 #ifdef ISO
-      real zxtrfl(ntraciso,klon)
-      real zxtrfln(ntraciso,klon)
+      REAL zxtrfl(ntraciso,klon)
+      REAL zxtrfln(ntraciso,klon)
       REAL zxtifl(ntraciso,klon), zxtifln(ntraciso,klon)  
-      real zxt(ntraciso,klon) ! equivalent local de xt
-      real zxtn(ntraciso,klon) ! isotpes nuageux
-      real zxtn_reduit(niso)
-      real zxtcond(ntraciso,klon)
-      real zxtoliq(ntraciso,klon)
-      real zq_ancien(klon)
+      REAL zxt(ntraciso,klon) ! equivalent local de xt
+      REAL zxtn(ntraciso,klon) ! isotpes nuageux
+      REAL zxtn_reduit(niso)
+      REAL zxtcond(ntraciso,klon)
+      REAL zxtoliq(ntraciso,klon)
+      REAL zq_ancien(klon)
       REAL zxtpreci(ntraciso,klon), zxtprecl(ntraciso,klon)
-      integer ixt
+      INTEGER ixt
 #ifdef ISOVERIF   
 !      integer iso_verif_aberrant_nostop
@@ -250,25 +250,25 @@
 !      integer iso_verif_positif_nostop
 !      integer iso_verif_positif_choix_nostop
-      integer trace_cas(klon)
+      INTEGER trace_cas(klon)
 !      integer iso_verif_traceur_nostop
 #endif      
-      integer iso_verif_nonan_nostop
-      real zxtice(ntraciso,klon),zxtliq(ntraciso,klon)
-      real zrfl_ancien(klon)
-      real zqev_diag(klon)
-      real zxtrfl_ancien(ntraciso,klon)
-      real zxt_ancien(ntraciso,klon)
+      INTEGER iso_verif_nonan_nostop
+      REAL zxtice(ntraciso,klon),zxtliq(ntraciso,klon)
+      REAL zrfl_ancien(klon)
+      REAL zqev_diag(klon)
+      REAL zxtrfl_ancien(ntraciso,klon)
+      REAL zxt_ancien(ntraciso,klon)
 #ifdef ISOTRAC
-        real zxtres(ntraciso) ! humidite spec nuageuse après condensation et precip
-        real zqcs(klon) ! humidite spec en ciel clair
-        real zxtcs(ntraciso,klon)        
-        real zcondn(klon) ! humidite spec de l'eau liquide dans le nuage
-        real zxtcondn(ntraciso,klon)
-        integer izone
+        REAL zxtres(ntraciso) ! humidite spec nuageuse après condensation et precip
+        REAL zqcs(klon) ! humidite spec en ciel clair
+        REAL zxtcs(ntraciso,klon)
+        REAL zcondn(klon) ! humidite spec de l'eau liquide dans le nuage
+        REAL zxtcondn(ntraciso,klon)
+        INTEGER izone
 #ifdef ISOVERIF           
-        real zq_verif
+        REAL zq_verif
 #endif        
 #endif 
-!      logical negation ! pour nier conditions logiques
+!      LOGICAL negation ! pour nier conditions logiques
 #endif
 
@@ -329,5 +329,5 @@
   rneblsvol(1:klon,1:klev)=0.0
 
-  if (prt_level>9)WRITE(lunout,*)'NUAGES4 A. JAM'
+  IF (prt_level>9)WRITE(lunout,*)'NUAGES4 A. JAM'
   IF (appel1er) THEN
      CALL getin_p('iflag_oldbug_fisrtilp',iflag_oldbug_fisrtilp)
@@ -353,10 +353,10 @@
           do k=1,klev
            do i=1,klon             
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
                          'il pleut 205',errmax,errmaxrel)
             endif !if (iso_eau.gt.0) THEN
-            if (iso_HDO.gt.0) THEN
-             if (q(i,k).gt.ridicule) THEN
+            IF (iso_HDO.gt.0) THEN
+             IF (q(i,k).gt.ridicule) THEN
                CALL iso_verif_aberrant(xt(iso_HDO,i,k)/q(i,k), &
                  'il pleut 210')
@@ -510,10 +510,10 @@
        !WRITE(*,*) 'ilp 478: boucle en k: k=',k
        do i=1,klon
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix(zxtrfl(iso_eau,i), &
                  zrfl(i), &
                  'il pleut 310',errmax,errmaxrel)
         endif !if (iso_eau.gt.0) THEN
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
              CALL iso_verif_aberrant_choix(zxtrfl(iso_HDO,i) &
                  ,zrfl(i),ridicule_rain,deltalim_snow,'il pleut 316')
@@ -546,5 +546,5 @@
         zq(i)=q(i,k)
 #ifdef ISOVERIF
-        if (q(i,k).lt.0.0) THEN
+        IF (q(i,k).lt.0.0) THEN
                WRITE(*,*) 'ilp 400: avant clmain 31janv: i,k,q=', &
                  i,k,q(i,k)
@@ -570,10 +570,10 @@
              CALL iso_verif_positif(370.0-zt(i),'il pleut 425')
              CALL iso_verif_positif(zt(i)-100.0,'il pleut 426')
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(zxt(iso_eau,i),zq(i), &
                          'il pleut 289',errmax,errmaxrel)
           endif !if (iso_eau.gt.0) THEN
-          if (iso_HDO.gt.0) THEN
-             if (zq(i).gt.ridicule) THEN
+          IF (iso_HDO.gt.0) THEN
+             IF (zq(i).gt.ridicule) THEN
                CALL iso_verif_aberrant(zxt(iso_HDO,i)/zq(i), &
                  'il pleut 337')
@@ -609,5 +609,5 @@
            zcpair=RCPD*(1.0+RVTMP2*zq(i))
            zcpeau=RCPD*RVTMP2
-         if (fl_cor_ebil > 0) THEN
+         IF (fl_cor_ebil > 0) THEN
            ! zmqc: masse de precip qui doit etre thermalisee avec l'air de la couche atm 
            ! pour s'assurer que la precip arrivant au sol aura bien la temperature de la 
@@ -653,5 +653,5 @@
 #ifdef ISOVERIF
         !WRITE(*,*) 'ilp tmp 616'
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
        DO i = 1, klon           
           CALL iso_verif_egalite_choix(zxt(iso_eau,i),zq(i), &
@@ -707,5 +707,5 @@
              ! Ajout de la prise en compte des precip a thermiser
              ! avec petite reecriture 
-             if  (fl_cor_ebil > 0) then ! nouveau
+             IF  (fl_cor_ebil > 0) then ! nouveau
                 ! Calcul de l'evaporation du flux de precip herite
                 !   d'au-dessus
@@ -718,5 +718,5 @@
                 zrfln(i) = zrfl(i) - zqev*zmair(i)/dtime
                 ! Aucun flux liquide pour T < t_coup, on reevapore tout.
-                IF (zt(i) < t_coup.and.reevap_ice) THEN
+                IF (zt(i) < t_coup.AND.reevap_ice) THEN
                   zrfln(i)=0.
                   zqev = (zrfl(i)-zrfln(i))/zmair(i)*dtime
@@ -742,5 +742,5 @@
                      /RG/dtime
                 ! Aucun flux liquide pour T < t_coup
-                IF (zt(i) < t_coup.and.reevap_ice) zrfln(i)=0.
+                IF (zt(i) < t_coup.AND.reevap_ice) zrfln(i)=0.
                 ! Nouvelle vapeur 
                 zq(i) = zq(i) - (zrfln(i)-zrfl(i)) &
@@ -872,5 +872,5 @@
          zq(i) = zq(i) - (zrfln(i)+zifln(i)-zrfl(i)-zifl(i)) &
                   * (RG/(paprs(i,k)-paprs(i,k+1)))*dtime
-       if (fl_cor_ebil > 0) then ! avec correction thermalisation des precips
+       IF (fl_cor_ebil > 0) then ! avec correction thermalisation des precips
          zmqc(i) = zmqc(i) + (zrfln(i)+zifln(i)-zrfl(i)-zifl(i)) &
                   * (RG/(paprs(i,k)-paprs(i,k+1)))*dtime
@@ -903,5 +903,5 @@
            ! Fusion de la glace
            zrfl(i)=zrfl(i)+zmelt*zifl(i)
-           if (fl_cor_ebil <= 0) THEN
+           IF (fl_cor_ebil <= 0) THEN
              ! the following line should not be here. Indeed, if zifl is modified
              ! now, zifl(i)*zmelt is no more the amount of ice that has melt
@@ -910,5 +910,5 @@
            end if
            ! Chaleur latente de fusion
-        if (fl_cor_ebil > 0) then ! avec correction thermalisation des precips
+        IF (fl_cor_ebil > 0) then ! avec correction thermalisation des precips
            zt(i)=zt(i)-zifl(i)*zmelt*(RG*dtime)/(paprs(i,k)-paprs(i,k+1)) &
                       *RLMLT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
@@ -917,5 +917,5 @@
                       *RLMLT/RCPD/(1.0+RVTMP2*zq(i))
         end if
-           if (fl_cor_ebil > 0) then ! correction bug, deplacement ligne precedente
+           IF (fl_cor_ebil > 0) then ! correction bug, deplacement ligne precedente
              zifl(i)=zifl(i)*(1.-zmelt)
            end if
@@ -944,11 +944,11 @@
               CALL iso_verif_positif_choix(zxt(ixt,i),0.0,'ilp 614')
              enddo   
-             if (zq(i).gt.ridicule) THEN
-               if (iso_HDO.gt.0) THEN
+             IF (zq(i).gt.ridicule) THEN
+               IF (iso_HDO.gt.0) THEN
                   CALL iso_verif_aberrant_encadre(zxt(iso_HDO,i)/zq(i), &
                          'il pleut 856')
-                  if (iso_O18.gt.0) THEN
-                   if (iso_verif_O18_aberrant_nostop(zxt(iso_HDO,i)/zq(i), &
-                     zxt(iso_O18,i)/zq(i),'il pleut 859').eq.1) THEN
+                  IF (iso_O18.gt.0) THEN
+                   IF (iso_verif_O18_aberrant_nostop(zxt(iso_HDO,i)/zq(i), &
+                     zxt(iso_O18,i)/zq(i),'il pleut 859').EQ.1) THEN
                      WRITE(*,*) 'i,k,zq=',i,k,zq(i)
                      WRITE(*,*) 'zqev_diag(i)=',zqev_diag(i)
@@ -989,5 +989,5 @@
            zdelta = MAX(0.,SIGN(1.,RTT-zt(i)))
            zcvm5 = R5LES*RLVTT*(1.-zdelta) + R5IES*RLSTT*zdelta
-       if  (fl_cor_ebil .GT. 0) then ! nouveau
+       IF  (fl_cor_ebil .GT. 0) then ! nouveau
            zcvm5 = zcvm5 /RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
        else    
@@ -1018,5 +1018,5 @@
 
 !verification de la valeur de iflag_fisrtilp_qsat pour iflag_ice_thermo=1
-!       if ((iflag_ice_thermo.eq.1).and.(iflag_fisrtilp_qsat.ne.0)) THEN
+!       if ((iflag_ice_thermo.EQ.1).AND.(iflag_fisrtilp_qsat.NE.0)) THEN
 !         WRITE(*,*) " iflag_ice_thermo==1 requires iflag_fisrtilp_qsat==0", &
 !        " but iflag_fisrtilp_qsat=",iflag_fisrtilp_qsat, ". Might as well stop here."
@@ -1056,7 +1056,7 @@
 #ifdef ISOVERIF
         do i=1,klon
-          if (iso_eau.gt.0) THEN
-            if (iso_verif_egalite_choix_nostop(zxt(iso_eau,i),zq(i), &
-                  'il pleut 608',errmax,errmaxrel).eq.1) THEN
+          IF (iso_eau.gt.0) THEN
+            IF (iso_verif_egalite_choix_nostop(zxt(iso_eau,i),zq(i), &
+                  'il pleut 608',errmax,errmaxrel).EQ.1) THEN
               WRITE(*,*) 'i=',i
               stop
@@ -1070,5 +1070,5 @@
 #endif 
 
-        if (iflag_pdf.eq.0) THEN
+        IF (iflag_pdf.EQ.0) THEN
            ! version creneau de (Li, 1998)
            do i=1,klon
@@ -1078,5 +1078,5 @@
            enddo
 
-        else !  if (iflag_pdf.eq.0)
+        else !  if (iflag_pdf.EQ.0)
            ! ----------------------------------------------------------------
            ! P2.A.1> Avec les nouvelles PDFs, calcul des grandeurs nuageuses pour 
@@ -1092,5 +1092,5 @@
 #ifdef ISO
                 ! on conserve le même rapport pour les isotopes
-                if (zq_ancien(i).gt.0.0) THEN
+                IF (zq_ancien(i).gt.0.0) THEN
                    do ixt=1,ntraciso
                      zxt(ixt,i)=zxt(ixt,i)/zq_ancien(i)*zq(i)
@@ -1104,5 +1104,5 @@
                 ! verif
 #ifdef ISOVERIF
-                  if (iso_eau.gt.0) THEN
+                  IF (iso_eau.gt.0) THEN
                     CALL iso_verif_egalite_choix(zxt(iso_eau,i),zq(i), &
                        'il pleut 654',errmax,errmaxrel)
@@ -1117,6 +1117,6 @@
            enddo
 
-           if (iflag_cld_th>=5) THEN
-              if (iflag_cloudth_vert<=2) THEN
+           IF (iflag_cld_th>=5) THEN
+              IF (iflag_cloudth_vert<=2) THEN
                CALL cloudth(klon,klev,k,ztv, &
                    zq,zqta,fraca, &
@@ -1125,5 +1125,5 @@
                    cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
 
-              elseif (iflag_cloudth_vert>=3 .and. iflag_cloudth_vert<=5) THEN
+              elseif (iflag_cloudth_vert>=3 .AND. iflag_cloudth_vert<=5) THEN
                CALL cloudth_v3(klon,klev,k,ztv, &
                    zq,zqta,fraca, &
@@ -1152,5 +1152,5 @@
            endif
 
-           if (iflag_cld_th <= 4) THEN
+           IF (iflag_cld_th <= 4) THEN
               lognormale = .TRUE.
            elseif (iflag_cld_th >= 6) THEN
@@ -1187,5 +1187,5 @@
 
 !Boucle iterative: ATTENTION, l'option -1 n'est plus activable ici
-           if (iflag_fisrtilp_qsat.ge.0) THEN
+           IF (iflag_fisrtilp_qsat.ge.0) THEN
              ! Iteration pour condensation avec variation de qsat(T) 
              ! -----------------------------------------------------
@@ -1193,9 +1193,9 @@
                 
                do i=1,klon
-!                 do while ((abs(DT(i)).gt.DDT0).or.(n_i(i).eq.0))
+!                 do while ((abs(DT(i)).gt.DDT0).OR.(n_i(i).EQ.0))
                  ! !! convergence = .TRUE. tant que l'on n'a pas converge !!
                  ! ------------------------------
                  convergence(i)=abs(DT(i)).gt.DDT0
-                 if ((convergence(i).or.(n_i(i).eq.0)).and.lognormale(i)) THEN
+                 IF ((convergence(i).OR.(n_i(i).EQ.0)).AND.lognormale(i)) THEN
                  ! si on n'a pas converge
 
@@ -1209,11 +1209,11 @@
 
                  Tbef(i)=Tbef(i)+DT(i) ! nouvelle temperature
-                 if (.not.ice_thermo) THEN
+                 IF (.NOT.ice_thermo) THEN
                     zdelta = MAX(0.,SIGN(1.,RTT-Tbef(i)))
                  else
-                    if (iflag_t_glace.eq.0) THEN
+                    IF (iflag_t_glace.EQ.0) THEN
                     zdelta = MAX(0.,SIGN(1.,t_glace_min_old-Tbef(i)))
-                    else if (iflag_t_glace.ge.1) THEN
-                       if (iflag_oldbug_fisrtilp.EQ.0) THEN
+                    ELSE IF (iflag_t_glace.ge.1) THEN
+                       IF (iflag_oldbug_fisrtilp.EQ.0) THEN
                           zdelta = MAX(0.,SIGN(1.,t_glace_max-Tbef(i)))
                        else
@@ -1225,5 +1225,5 @@
                  ! Calcul de rneb, qzn et zcond pour les PDF lognormales
                  zcvm5 = R5LES*RLVTT*(1.-zdelta) + R5IES*RLSTT*zdelta
-               if (fl_cor_ebil .GT. 0) THEN
+               IF (fl_cor_ebil .GT. 0) THEN
                  zcvm5 = zcvm5 /RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
                else
@@ -1247,5 +1247,5 @@
                  zpdf_e2(i)=1.-erf(zpdf_e2(i))
              
-                 if (zpdf_e1(i).lt.1.e-10) THEN
+                 IF (zpdf_e1(i).lt.1.e-10) THEN
                     rneb(i,k)=0.
                     zqn(i)=zqs(i)
@@ -1256,5 +1256,5 @@
 
                  ! If vertical heterogeneity, change fraction by volume as well
-                 if (iflag_cloudth_vert>=3) THEN
+                 IF (iflag_cloudth_vert>=3) THEN
                    ctot_vol(i,k)=rneb(i,k)
                    rneblsvol(i,k)=ctot_vol(i,k)
@@ -1271,10 +1271,10 @@
                  ! DT : variation de temperature due a la condensation 
 
-                 if (.not. ice_thermo) THEN
+                 IF (.NOT. ice_thermo) THEN
                  ! --------------------------
                  do i=1,klon
-                 if ((convergence(i).or.(n_i(i).eq.0)).and.lognormale(i)) THEN
+                 IF ((convergence(i).OR.(n_i(i).EQ.0)).AND.lognormale(i)) THEN
                  qlbef(i)=max(0.,zqn(i)-zqs(i))
-               if (fl_cor_ebil .GT. 0) THEN
+               IF (fl_cor_ebil .GT. 0) THEN
                  num=-Tbef(i)+zt(i)+rneb(i,k)*RLVTT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))*qlbef(i)
                else
@@ -1287,13 +1287,13 @@
                  enddo
 
-                 else ! if (.not. ice_thermo)
+                 else ! if (.NOT. ice_thermo)
                  ! --------------------------
-                 if (iflag_t_glace.ge.1) THEN
+                 IF (iflag_t_glace.ge.1) THEN
                  CALL icefrac_lsc(klon,zt(:),pplay(:,k)/paprs(:,1),zfice(:))
                  endif
 
                  do i=1,klon
-                 if ((convergence(i).or.(n_i(i).eq.0)).and.lognormale(i)) THEN
-                 if (iflag_t_glace.eq.0) THEN
+                 IF ((convergence(i).OR.(n_i(i).EQ.0)).AND.lognormale(i)) THEN
+                 IF (iflag_t_glace.EQ.0) THEN
                     zfice(i) = 1.0 - (Tbef(i)-t_glace_min_old) / (RTT-t_glace_min_old)
                     zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
@@ -1303,14 +1303,14 @@
                  endif
                  
-                 if (iflag_t_glace.ge.1.and.zfice(i)>0.) THEN
+                 IF (iflag_t_glace.ge.1.AND.zfice(i)>0.) THEN
                  dzfice(i)= exposant_glace * zfice(i)**(exposant_glace-1) &
                                / (t_glace_min - t_glace_max)
                  endif
                
-                 if ((zfice(i).eq.0).or.(zfice(i).eq.1)) THEN
+                 IF ((zfice(i).EQ.0).OR.(zfice(i).EQ.1)) THEN
                     dzfice(i)=0.
                  endif
 
-                 if (zfice(i).lt.1) THEN
+                 IF (zfice(i).lt.1) THEN
                     cste=RLVTT
                  else
@@ -1319,5 +1319,5 @@
 
                  qlbef(i)=max(0.,zqn(i)-zqs(i))
-               if (fl_cor_ebil .GT. 0) THEN
+               IF (fl_cor_ebil .GT. 0) THEN
                  num = -Tbef(i)+zt(i)+rneb(i,k)*((1-zfice(i))*RLVTT &
                       +zfice(i)*RLSTT)/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))*qlbef(i)
@@ -1349,10 +1349,10 @@
         endif ! iflag_pdf
 
-!        if (iflag_fisrtilp_qsat.eq.-1) THEN
+!        if (iflag_fisrtilp_qsat.EQ.-1) THEN
 !------------------------------------------
 !CR: ATTENTION option fausse mais a existe:
 ! pour la re-activer, prendre iflag_fisrtilp_qsat=0 et
 ! activer les lignes suivantes: 
-       IF (1.eq.0) THEN 
+       IF (1.EQ.0) THEN
        DO i=1,klon
            IF (rneb(i,k) .LE. 0.0) THEN
@@ -1405,5 +1405,5 @@
         ENDDO
         ! If vertical heterogeneity, change fraction by volume as well
-        if (iflag_cloudth_vert>=3) THEN
+        IF (iflag_cloudth_vert>=3) THEN
           ctot_vol(1:klon,k)=min(max(ctot_vol(1:klon,k),0.),1.)
           rneblsvol(1:klon,k)=ctot_vol(1:klon,k)
@@ -1437,12 +1437,12 @@
          do i=1,klon  
 #ifdef ISOTRAC
-            if (option_tmin.eq.1) THEN
+            IF (option_tmin.EQ.1) THEN
                 ! c'est mieux si zqn>=0.0
-            if (essai_convergence) THEN
+            IF (essai_convergence) THEN
             else
                 zqn(i)=max(0.0,zqn(i))
             endif    
 
-            if (rneb(i,k).lt.1.0) THEN
+            IF (rneb(i,k).lt.1.0) THEN
                 zqcs(i)=(zq(i)-zqn(i)*rneb(i,k))/(1.0-rneb(i,k))
 #ifdef ISOVERIF
@@ -1454,8 +1454,8 @@
                 zqcs(i)=0.0
             endif
-            endif ! if (option_tmin.eq.1) THEN
+            endif ! if (option_tmin.EQ.1) THEN
 #endif                  
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) THEN
+              IF (iso_eau.gt.0) THEN
                  CALL iso_verif_egalite_choix(zxt(iso_eau,i),zq(i), &
                          'il pleut 748',errmax,errmaxrel)
@@ -1469,5 +1469,5 @@
 #endif              
 #endif
-              if ((bidouille_anti_divergence).and. &
+              IF ((bidouille_anti_divergence).AND. &
                  (iso_eau.gt.0)) THEN
                 zxt(iso_eau,i)= max(zq(i),0.0)  
@@ -1481,7 +1481,7 @@
 !                    enddo    
 !                endif !if (zxt(iso_eau,i).gt.0.0) THEN
-              endif !if ((bidouille_anti_divergence).and. 
-
-              if (zq(i).gt.1e-15) THEN
+              endif !if ((bidouille_anti_divergence).AND.
+
+              IF (zq(i).gt.1e-15) THEN
                 ! 2 fev 2010: on modifie seuil de zq  
                 ! avant, c'était 0. Vérifier que ça n'a pas de
@@ -1491,9 +1491,9 @@
                 enddo !do ixt=1,niso         
 #ifdef ISOTRAC
-               if (option_tmin.eq.1) THEN
+               IF (option_tmin.EQ.1) THEN
                  do ixt=1,ntraciso
                    zxtcs(ixt,i)=(zqcs(i))*(zxt(ixt,i)/zq(i))
                  enddo !do ixt=1,ntraciso
-               endif ! if (option_tmin.eq.1) THEN
+               endif ! if (option_tmin.EQ.1) THEN
 #endif                
               else !if (zq(i).gt.0.0) THEN
@@ -1504,19 +1504,19 @@
                 enddo !do ixt=1,niso 
 #ifdef ISOTRAC
-                if (option_tmin.eq.1) THEN
+                IF (option_tmin.EQ.1) THEN
                  do ixt=1,ntraciso
                    zxtcs(ixt,i)=0.0
                  enddo !do ixt=1,niso    
-                endif ! if (option_tmin.eq.1) THEN
+                endif ! if (option_tmin.EQ.1) THEN
 #endif                     
-                if ((bidouille_anti_divergence) &
-                         .and.(iso_eau.gt.0)) THEN
+                IF ((bidouille_anti_divergence) &
+                         .AND.(iso_eau.gt.0)) THEN
 !                   WRITE(*,*) 'ilp tmp 848: warning: bidouille'
                    zxtn(iso_eau,i)=zqn(i)
 #ifdef ISOTRAC
                    zxtn(itZonIso(izone_poubelle,iso_eau),i)=zqn(i)  
-                   if (option_tmin.eq.1) THEN
+                   IF (option_tmin.EQ.1) THEN
                      zxtcs(iso_eau,i)=zqcs(i)
-                   endif ! if (option_tmin.eq.1) THEN
+                   endif ! if (option_tmin.EQ.1) THEN
 !                   WRITE(*,*) 'zxtn(:,i)=',zxtn(:,i)
 #endif                   
@@ -1527,5 +1527,5 @@
                   CALL iso_verif_positif(zxtn(ixt,i),'il pleut 1062')
              enddo !do ixt=1,niso
-             if (iso_eau.gt.0) THEN
+             IF (iso_eau.gt.0) THEN
                    CALL iso_verif_egalite_choix(zxtn(iso_eau,i),zqn(i), &
                          'il pleut 932',errmax,errmaxrel)
@@ -1536,14 +1536,14 @@
              CALL iso_verif_traceur_pbidouille(zxtn(1,i), &
                  'il pleut 1277')
-             if (option_tmin.eq.1) THEN
+             IF (option_tmin.EQ.1) THEN
               CALL iso_verif_positif(zxtcs(ixt,i),'il pleut 895')
               do ixt=1,niso     
                CALL iso_verif_positif(zxtcs(ixt,i),'il pleut 897')
               enddo !do ixt=1,niso
-              if (iso_eau.gt.0) THEN
+              IF (iso_eau.gt.0) THEN
                CALL iso_verif_egalite_choix(zxtcs(iso_eau,i), &
                     zqcs(i),'il pleut 733',errmax,errmaxrel)
               endif !if ((iso_eau.gt.0)) THEN
-             endif ! if (option_tmin.eq.1) THEN
+             endif ! if (option_tmin.EQ.1) THEN
 #endif 
 #endif                   
@@ -1555,18 +1555,18 @@
               enddo !do ixt=1,niso
 #ifdef ISOTRAC
-              if (option_tmin.eq.1) THEN
+              IF (option_tmin.EQ.1) THEN
               do ixt=1,ntraciso
                zxtcs(ixt,i)=max(0.0,zxtcs(ixt,i))
               enddo
-              endif ! if (option_tmin.eq.1) THEN
+              endif ! if (option_tmin.EQ.1) THEN
 #endif                            
 
 #ifdef ISOVERIF
-               if (iso_eau.gt.0) THEN
+               IF (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite_choix(zxtn(iso_eau,i),zqn(i), &
                          'il pleut 746',errmax,errmaxrel)
                endif !if (iso_eau.gt.0) THEN
-               if (iso_HDO.gt.0) THEN
-                if (zqn(i).gt.ridicule) THEN
+               IF (iso_HDO.gt.0) THEN
+                IF (zqn(i).gt.ridicule) THEN
                    CALL iso_verif_aberrant(zxtn(iso_HDO,i)/zqn(i), &
                          'il pleut 977')
@@ -1576,6 +1576,6 @@
              CALL iso_verif_traceur_pbidouille  &
                         (zxtn(1,i),'il pleut 1300')
-             if (option_tmin.eq.1) THEN
-               if (iso_eau.gt.0) THEN
+             IF (option_tmin.EQ.1) THEN
+               IF (iso_eau.gt.0) THEN
                    CALL iso_verif_egalite_choix(zxtcs(iso_eau,i), &
                          zqcs(i), &
@@ -1585,5 +1585,5 @@
                         (zxtcs(1,i),'il pleut 1300')
              
-             endif ! if (option_tmin.eq.1) THEN
+             endif ! if (option_tmin.EQ.1) THEN
 #endif                
 #endif   
@@ -1607,11 +1607,11 @@
 
      IF (.NOT. ice_thermo) THEN
-        if (iflag_fisrtilp_qsat.lt.1) THEN
+        IF (iflag_fisrtilp_qsat.lt.1) THEN
            DO i = 1, klon
              zt(i) = zt(i) + zcond(i) * RLVTT/RCPD/(1.0+RVTMP2*zq(i))
            ENDDO
-        else if (iflag_fisrtilp_qsat.gt.0) THEN
+        ELSE IF (iflag_fisrtilp_qsat.gt.0) THEN
            DO i= 1, klon
-    if (fl_cor_ebil .GT. 0) THEN
+    IF (fl_cor_ebil .GT. 0) THEN
              zt(i) = zt(i) + zcond(i) * RLVTT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)+zcond(i)))
     else
@@ -1621,13 +1621,13 @@
         endif
      ELSE
-         if (iflag_t_glace.ge.1) THEN
+         IF (iflag_t_glace.ge.1) THEN
             CALL icefrac_lsc(klon,zt(:),pplay(:,k)/paprs(:,1),zfice(:))
          endif
-         if (iflag_fisrtilp_qsat.lt.1) THEN
+         IF (iflag_fisrtilp_qsat.lt.1) THEN
            DO i = 1, klon
 ! JBM: icefrac_lsc is now a function contained in icefrac_lsc_mod
 !              zfice(i) = icefrac_lsc(zt(i), t_glace_min, &
 !                                     t_glace_max, exposant_glace)
-              if (iflag_t_glace.eq.0) THEN
+              IF (iflag_t_glace.EQ.0) THEN
                     zfice(i) = 1.0 - (zt(i)-t_glace_min_old) / (RTT-t_glace_min_old)
                     zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
@@ -1642,10 +1642,10 @@
 !              zfice(i) = icefrac_lsc(zt(i), t_glace_min, &
 !                                     t_glace_max, exposant_glace)
-              if (iflag_t_glace.eq.0) THEN
+              IF (iflag_t_glace.EQ.0) THEN
                     zfice(i) = 1.0 - (zt(i)-t_glace_min_old) / (RTT-t_glace_min_old)
                     zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
                     zfice(i) = zfice(i)**exposant_glace_old
               endif
-        if (fl_cor_ebil .GT. 0) THEN
+        IF (fl_cor_ebil .GT. 0) THEN
               zt(i) = zt(i) + (1.-zfice(i))*zcond(i) & 
                          * RLVTT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)+zcond(i))) &
@@ -1667,5 +1667,5 @@
       do i=1,klon
         ! verif
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(zxtn(iso_eau,i),zqn(i), &
                  'il pleut 810',errmax,errmaxrel)
@@ -1728,5 +1728,5 @@
 #endif       
 #ifdef ISOVERIF       
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
           do i=1,klon      
               CALL iso_verif_egalite_choix(zxtcond(iso_eau,i),zcond(i), &
@@ -1734,14 +1734,14 @@
           enddo ! do i=1,klon     
         endif
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
            do i=1,klon  
                   CALL iso_verif_aberrant_choix(zxtcond(iso_hdo,i), &
                  zcond(i),ridicule_rain,deltalim_snow,'il pleut 1276')
            enddo ! do i=1,klon  
-        endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+        endif !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
 #ifdef ISOTRAC
         do i=1,klon
-             if (iso_verif_traceur_nostop(zxtcond(1,i),'il pleut 1455') &
-                         .eq.1) THEN
+             IF (iso_verif_traceur_nostop(zxtcond(1,i),'il pleut 1455') &
+                         .EQ.1) THEN
                WRITE(*,*) 'zxtn(:,i)=',zxtn(:,i)
                WRITE(*,*) 'zxt(:,i)=',zxt(:,i)
@@ -1776,5 +1776,5 @@
 
 #ifdef ISOTRAC        
-        if (option_tmin.ge.1) THEN
+        IF (option_tmin.ge.1) THEN
         do i=1,klon    
         ! colorier la vapeur résiduelle selon température de
@@ -1785,11 +1785,11 @@
         ! le condensat, car la condensation LS est un processus sous
         ! maille -> ne tagguer que le résidus de qn.
-          if ((zcond(i).gt.0.0).and.(zq(i).gt.0.0)) THEN
-            if (rneb(i,k).gt.0.0) THEN
+          IF ((zcond(i).gt.0.0).AND.(zq(i).gt.0.0)) THEN
+            IF (rneb(i,k).gt.0.0) THEN
               zcondn(i)=zcond(i)/rneb(i,k)
               do ixt=1,ntraciso
                 zxtcondn(ixt,i)=zxtcond(ixt,i)/rneb(i,k)
               enddo !do ixt=1,ntraciso
-            else !if (rneb.eq.0.0)
+            else !if (rneb.EQ.0.0)
               zcondn(i)=0.0
               do ixt=1,ntraciso
@@ -1799,5 +1799,5 @@
               CALL iso_verif_egalite(zcond(i),0.0,'ilp 1225')
 #endif              
-            endif !if (rneb.eq.0.0)
+            endif !if (rneb.EQ.0.0)
             
 #ifdef ISOVERIF
@@ -1816,5 +1816,5 @@
 #endif            
           ! bidouille
-          if (bidouille_anti_divergence) THEN
+          IF (bidouille_anti_divergence) THEN
                 zxtcondn(iso_eau,i)=zcondn(i)
 #ifdef ISOVERIF                
@@ -1824,14 +1824,14 @@
           endif
 
-            if (option_traceurs.eq.17) THEN
+            IF (option_traceurs.EQ.17) THEN
             CALL iso_recolorise_condensation(zqn(i),zcondn(i), &
                  zxtn(1,i),zxtcondn(1,i),zt(i),1.0,zxtres, &
                  seuil_tag_tmin_ls)
-            else !if (option_traceurs.eq.17) THEN
+            else !if (option_traceurs.EQ.17) THEN
                 ! cas du tag 18 ou 19
                 CALL iso_recolorise_condensation(zqn(i),zcondn(i), &
                  zxtn(1,i),zxtcondn(1,i),zqs(i),1.0,zxtres, &
                  seuil_tag_tmin_ls)
-            endif !if (option_traceurs.eq.17) THEN
+            endif !if (option_traceurs.EQ.17) THEN
             do ixt=1+niso,ntraciso
                zxt(ixt,i)=rneb(i,k)*zxtres(ixt) &
